Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.io
Class DirectoryItemHandlerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ifs.utils.io.DirectoryItemHandlerException

All Implemented Interfaces:
  java.io.Serializable

    public class DirectoryItemHandlerException

extends java.lang.Exception

Thrown when an Exception occurs in `DirectoryItemHandler.handleItemDirectoryTree.traverse` catches the Exception and then throws `DirectoryItemHandlerException`.

See Also:
  Serialized Form
Modified:
  lsaenz 08/02/2001 Added nested Throwable., lsaenz 12/04/1999 Updated comments., lsaenz 11/22/1999 Created.

Constructor Summary
`DirectoryItemHandlerException()` Creates a new DirectoryItemHandlerException without specifying a nested exception or a message.
`DirectoryItemHandlerException(java.lang.String message)` Creates a new DirectoryItemHandlerException with a message but without specifying a nested exception.
`DirectoryItemHandlerException(java.lang.Throwable nested)` Creates a new DirectoryItemHandlerException with a nested throwable.

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.Throwable` | `getNestedThrowable()` Returns the nested throwable, or null if none was specified.
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryItemHandlerException

    public DirectoryItemHandlerException()

  Creates a new DirectoryItemHandlerException without specifying a nested exception or a message.

### DirectoryItemHandlerException

    public DirectoryItemHandlerException(java.lang.String message)

  Creates a new DirectoryItemHandlerException with a message but without specifying a nested exception.

### DirectoryItemHandlerException

    public DirectoryItemHandlerException(java.lang.Throwable nested)

  Creates a new DirectoryItemHandlerException with a nested throwable.

Method Detail

### getNestedThrowable

    public java.lang.Throwable getNestedThrowable()

  Description copied from class: `DirectoryItemHandlerException`
  Returns the nested throwable, or null if none was specified.

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD